<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
    <xs:element name="DHCP"> 
     <xs:complexType>
      <xs:choice maxOccurs="unbounded">
      
        <xs:element name="DHCPServerClearIpInUse" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ServerClearIpInUse" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PoolIndex" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>
                            <xs:maxInclusive value="4096"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                     </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DHCPServerClearIpInUseByPool">
          <xs:complexType>
           <xs:choice maxOccurs="unbounded">
            <xs:element name="ServerClearIpInUse" minOccurs="0" maxOccurs="unbounded">
             <xs:complexType>
               <xs:all>
                 <xs:element name="PoolName" minOccurs="0" nillable="true">
                    <xs:complexType>
			               <xs:simpleContent>
			                 <xs:restriction base="base:String">
			                   <xs:minLength value="1"></xs:minLength>
			                   <xs:maxLength value="63"></xs:maxLength>
			                 </xs:restriction>
			               </xs:simpleContent>
			             </xs:complexType>
                 </xs:element>
               </xs:all>
             </xs:complexType>
            </xs:element>
           </xs:choice>
          </xs:complexType>
        </xs:element>
             
        <xs:element name="DHCPRelayClearUserInfoByIfIndex">
          <xs:complexType>
           <xs:choice maxOccurs="unbounded">
            <xs:element name="RelayClearUserInfo" minOccurs="0" maxOccurs="unbounded">
             <xs:complexType>
               <xs:all>
                 <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                </xs:element>
               </xs:all>
             </xs:complexType>
            </xs:element>
           </xs:choice>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="DHCPRelayClearUserInfo" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="RelayClearUserInfo" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                    </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        
      </xs:choice>
     </xs:complexType>
    </xs:element>
</xs:schema>  